Bug 245021

Summary: devel/p5-CPAN-Uploader: Missing dependency on devel/p5-File-HomeDir
Product: Ports & Packages Reporter: Marcin Cieślak <saper>
Component: Individual Port(s)Assignee: Alexey Dokuchaev <danfe>
Status: Closed FIXED    
Severity: Affects Many People CC: danfe, geraud, perl
Priority: --- Flags: koobs: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   

Description Marcin Cieślak 2020-03-24 00:22:43 UTC
Fresh pkg install

> cpan-upload -h
Can't locate File/HomeDir.pm in @INC (you may need to install the File::HomeDir module) (@INC contains: /usr/local/lib/perl5/site_perl/mach/5.30 /usr/local/lib/perl5/site_perl /usr/local/lib/perl5/5.30/mach /usr/local/lib/perl5/5.30) at /usr/local/lib/perl5/site_perl/CPAN/Uploader.pm line 21.
BEGIN failed--compilation aborted at /usr/local/lib/perl5/site_perl/CPAN/Uploader.pm line 21.
Compilation failed in require at /usr/local/bin/cpan-upload line 9.
BEGIN failed--compilation aborted at /usr/local/bin/cpan-upload line 9.

> pkg info -f p5-CPAN-Uploader
p5-CPAN-Uploader-0.103013
Name           : p5-CPAN-Uploader
Version        : 0.103013
Installed on   : Tue Mar 24 01:19:16 2020 CET
Origin         : devel/p5-CPAN-Uploader
Architecture   : FreeBSD:11:*
Prefix         : /usr/local
Categories     : devel perl5
Licenses       : GPLv1+, ART10
Maintainer     : geraud@gcu.info
WWW            : https://metacpan.org/release/CPAN-Uploader
Comment        : Upload things to the CPAN
Annotations    :
	repo_type      : binary
	repository     : FreeBSD
Flat size      : 57.9KiB
Description    :
CPAN::Uploader - upload things to the CPAN

WWW: https://metacpan.org/release/CPAN-Uploader
Comment 1 commit-hook freebsd_committer 2020-07-02 04:42:47 UTC
A commit references this bug:

Author: danfe
Date: Thu Jul  2 04:41:52 UTC 2020
New revision: 541011
URL: https://svnweb.freebsd.org/changeset/ports/541011

Log:
  In r458896, `devel/p5-File-HomeDir' had been added as TEST_DEPENDS, but
  actually it is required at run-time, hence move it over to RUN_DEPENDS.

  PR:		245021
  Approved by:	maintainer (timeout since 2020-03-24)

Changes:
  head/devel/p5-CPAN-Uploader/Makefile
Comment 2 Alexey Dokuchaev freebsd_committer 2020-07-02 04:43:45 UTC
Committed as ports r541011, thanks!
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-03 02:20:11 UTC
^Triage: Re-open for MFH. If quarterly is not affected, set merge-quarterly (-) and re-close, else merge + set merge-quarterly (+) then close

Thanks Danfe!@
Comment 4 Alexey Dokuchaev freebsd_committer 2020-07-03 06:41:01 UTC
The port was fixed with ports r541011, 2020Q3 branched in ports r541028.

You could've have checked this yourself, no?
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-03 10:54:23 UTC
(In reply to Alexey Dokuchaev from comment #4)

I did but interpreted the rev numbers incorrectly. Thanks for clarifying.